> For the complete documentation index, see [llms.txt](https://docs.console.zenlayer.com/api-reference/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.console.zenlayer.com/api-reference/cn/sdn/private-connect/describeprivateconnects.md).

# DescribePrivateConnects

## 1. 接口描述

本接口(DescribePrivateConnects)用于获取二层网络专线列表。

## 2. 请求参数

以下请求参数列表仅列出了接口中需要的请求参数

| 参数名称                 | 必选 | 类型                                                                              | 描述                                             |
| -------------------- | -- | ------------------------------------------------------------------------------- | ---------------------------------------------- |
| privateConnectIds    | 否  | Array of String                                                                 | <p>二层网络专线 ID 列表。</p><p>最多支持 100 个 ID 查询。</p>   |
| privateConnectName   | 否  | String                                                                          | <p>二层网络专线名称。</p><p>模糊匹配。</p>                   |
| connectivityStatus   | 否  | [ConnectivityStatus](/api-reference/cn/sdn/datastructure.md#connectivitystatus) | 连通性状态过滤。                                       |
| privateConnectStatus | 否  | [BusinessStatus](/api-reference/cn/sdn/datastructure.md#businessstatus)         | 二层网络专线业务状态过滤。                                  |
| endpointTypes        | 否  | Array of [EndpointType](/api-reference/cn/sdn/datastructure.md#endpointtype)    | 连接点类型过滤。                                       |
| resourceGroupId      | 否  | String                                                                          | <p>资源组 ID。</p><p>不传则返回该用户可见的所有资源组内的二层网络专线。</p> |
| pageSize             | 否  | Integer                                                                         | <p>返回的分页大小。</p><p>默认为 20，最大为 1000。</p>         |
| pageNum              | 否  | Integer                                                                         | <p>返回的分页数。</p><p>默认为 1。</p><p>默认值：1</p>        |
| tagKeys              | 否  | Array of String                                                                 | <p>根据标签键进行搜索。</p><p>最长不得超过20个标签键。</p>          |
| tags                 | 否  | Array of [Tag](/api-reference/cn/sdn/datastructure.md#tag)                      | <p>根据标签进行搜索。</p><p>最长不得超过20个标签。</p>            |

## 3. 响应结果

| 参数名称       | 类型                                                                               | 描述                                                       |
| ---------- | -------------------------------------------------------------------------------- | -------------------------------------------------------- |
| requestId  | String                                                                           | <p>唯一请求 ID。</p><p>每次请求都会返回。定位问题时需要提供该次请求的 requestId。</p> |
| totalCount | Integer                                                                          | 符合条件的二层网络专线总数量。                                          |
| dataSet    | Array of [PrivateConnect](/api-reference/cn/sdn/datastructure.md#privateconnect) | 二层网络专线列表。                                                |

## 4. 代码示例

{% tabs %}
{% tab title="示例" %}
**1. 获取二层网络专线列表**

```json
POST /api/v2/sdn HTTP/1.1
Host: console.zenlayer.com
Content-Type: application/json
X-ZC-Action: DescribePrivateConnects
<Common Request Params>

Request：
{}

Response：
{   
  "requestId": "TDB181167-C39F-4C3E-8E88-B8FDE755FDC0",
  "response": {
     "requestId": "T98044459-95B2-477E-9A2F-00253A70CC6E",
     "dataSet": [
         {
            "endpointA":{
                "endpointType":"PORT",
                "dataCenter":{
                    "dcId":"SIN1",
                    "cityName":"Singapore",
                    "areaName":"Asia Pacific",
                    "dcName":"Equinix_SG1",
                    "dcAddress":"20 Ayer Rajah Crescent, Ayer Rajah Industrial Park, Singapore 139964",
                    "countryName":"Singapore"
                },
                "vlanId":1001,
                "endpointId":"endpoint A id",
                "endpointName":"portName",
                "connectivityStatus":"ACTIVE"
            },
            "resourceGroupName":"Default Resource Group",
            "createTime":"2023-01-01T00:00:00Z",
            "expiredTime":"2023-01-01T00:00:00Z",
            "privateConnectStatus":"RUNNING",
            "privateConnectName":"private-name",
            "source":"CONSOLE",
            "tags":{
                "tags":[
                    {
                        "key":"your-tag-key",
                        "value":"your-tag-value"
                    }
                ]
            },
            "endpointZ":{
                "endpointType":"PORT",
                "dataCenter":{
                    "dcId":"SIN1",
                    "cityName":"Singapore",
                    "areaName":"Asia Pacific",
                    "dcName":"Equinix_SG1",
                    "dcAddress":"20 Ayer Rajah Crescent, Ayer Rajah Industrial Park, Singapore 139964",
                    "countryName":"Singapore"
                },
                "vlanId":1002,
                "endpointId":"endpoint z id",
                "endpointName":"SIN1-10G",
                "connectivityStatus":"ACTIVE"
            },
            "resourceGroupId":"resource-group-id",
            "privateConnectId":"private-connect-id",
            "connectivityStatus":"ACTIVE",
            "bandwidthMbps":10
        }
     ],
     "totalCount": 1
  }
}
```

{% endtab %}
{% endtabs %}

## 5. 开发者工具

Zenlayer Cloud API 2.0 提供了配套的[开发工具集（SDK）](/api-reference/cn/api-introduction/toolkit.md)，未来会陆续支持更多开发语言，方便快速接入和使用Zenlayer的产品和服务。

## 6. 错误码

下面包含业务逻辑中遇到的错误码，其他错误码见[公共错误码](/api-reference/cn/api-introduction/instruction/commonerrorcode.md)

| HTTP状态码 | 错误码 | 说明 |
| ------- | --- | -- |
